## qutemol 0.4.1~cvs20081111

=== Makefile ===

INCDIRS = -Ivcg -Isrc -I.
OPTFLAGS = -Os -Wall -g

CXXFLAGS = $(INCDIRS) $(OPTFLAGS) `wx-config --cppflags`
LIBS = $(CXXFLAGS) `wx-config --libs core,base --gl-libs` -lGLEW -lGLU -lGL

OBJS = \
			 src/AO.o  \
			 src/AOgpu.o  \
			 src/AtomColor.o  \
			 src/CgUtil.o  \
			 src/Common.o  \
			 src/HardSettings.o  \
			 src/Mol.o \
			 src/MyTab.o \
			 src/Sampling.o \
			 src/ShadowMap.o \
			 src/main.o \
			 src/wx_trackball.o \
			 vcg/wrap/gui/trackball.o \
			 vcg/wrap/gui/trackmode.o

all: qutemol

clean: 
	find . -name "*.o" | xargs rm 

qutemol: $(OBJS)
	$(CXX) -o qutemol $(CFLAGS) $(OBJS) $(LIBS)

=== debian/changelog ===
qutemol (0.4.1~cvs20081111-6) unstable; urgency=medium

  * Add -std=gnu++98 to CXXFLAGS to fix FTBFS with GCC6,
    thanks Matthias Klose. (Closes: #811704)
  * Use secure URI for Vcs-Browser.
  * Bump Standards-Version to 3.9.8, no further changes.

 -- Graham Inggs <ginggs@debian.org>  Wed, 20 Jul 2016 16:53:17 +0200

qutemol (0.4.1~cvs20081111-5) unstable; urgency=medium

  * Do not display build date on Info tab (reproducible build).
  * Add .desktop and icon files.

 -- Graham Inggs <ginggs@debian.org>  Mon, 04 Jan 2016 20:22:18 +0200

qutemol (0.4.1~cvs20081111-4) unstable; urgency=medium

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    (Closes: #667759)
  * New Patch 10: convert in-line changes into a separate patch.
  * Update to Standards-Version to 3.9.3.1 and debhelper to 9.
  * Fix binary-control-field-duplicates-source section (Lintian).

  [ Graham Inggs ]
  * Acknowledge NMU from Olly Betts. (Closes: #760619)
  * Build with giflib5, thanks Matthias Klose. (Closes: #803290)
  * Fix FTBFS with libpng 1.5, thanks Nobuhiro Iwamatsu. (Closes: #648122)
  * Build-depend on libpng-dev instead of libpng12-dev. (Closes: #662487)
  * Fix a spelling mistake in qutemol manpage.
  * Remove obsolete DM-Upload-Allowed field.
  * Pass CXXFLAGS and LDFLAGS to enable build hardening.
  * Use canonical URIs in Vcs-* fields.
  * Relocate debian/upstream to debian/upstream/metadata.
  * Machine-readable debian/copyright file.
  * Add myself to uploaders.
  * Bump Standards-Version to 3.9.6, no further changes.

 -- Graham Inggs <ginggs@debian.org>  Wed, 16 Dec 2015 20:56:24 +0200

qutemol (0.4.1~cvs20081111-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/20_main.cpp.dpatch: Fix to load the XPM icon on non-Linux
    too - should fix FTBFS on kfreebsd and hurd.

 -- Olly Betts <olly@survex.com>  Thu, 04 Sep 2014 22:15:31 +0000

qutemol (0.4.1~cvs20081111-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to use wxWidgets 3.0 (Closes: #749861):
    + New patch: debian/patches/36_wx3.0_compat.dpatch
  * debian/patches/20_main.cpp.dpatch: Update to actually set the icon from
    the XPM data correctly (wx3.0 gives a warning dialog for this rather
    than quietly failing to load the file "sample_xpm").

 -- Olly Betts <olly@survex.com>  Sat, 30 Aug 2014 14:52:32 +0000

qutemol (0.4.1~cvs20081111-3) unstable; urgency=low

  * debian/upstream: New file.
  * debian/patches/34_geometry_tab_sliders.dpatch: New patch, fixes the sliders
    in the geometry tab; LP: #1178239.
  * debian/patches/01_makefile.dpatch: Updated to explicity link with -lpng.
  * debian/patches/35_gifsave_honor_umask.dpatch: New patch, honor the umask
    when saving a gif animation by changing the permissions accordingly
    afterwards; Closes: #724547.

 -- Michael Banck <mbanck@debian.org>  Sun, 06 Oct 2013 18:34:02 +0200

qutemol (0.4.1~cvs20081111-2) unstable; urgency=low

  * debian/patches/33_format-security.dpatch: New patch, fixes build error
    with -Werror=format-security, thanks to Ilya Barygin; Closes: #643463.

 -- Michael Banck <mbanck@debian.org>  Tue, 01 Nov 2011 17:51:03 +0100

qutemol (0.4.1~cvs20081111-1) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/31_reset_local_for_shaders.dpatch: New patch, set locale to
    "C" before making shaders and reset it afterwards.
  * debian/patches/32_stdio_includes.dpatch: New patch, add missing includes
    for <stdio.h>.
  * debian/control (Uploaders): Added myself.
  * debian/control (Standards-Version): Bumped to 3.9.2.
  * debian/control (Vcs-Svn): Fixed repository URL.
  * debian/control: Reworded description.

 -- Michael Banck <mbanck@debian.org>  Thu, 15 Sep 2011 11:06:40 +0200

qutemol (0.4.1~cvs20081111-0ubuntu1~ppa1) intrepid; urgency=low

  * New upstream version as of today. Dropped patches 26_trackmode.cpp
    and 27_trackutils.cpp, since these have been addressed upstream.

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Tue, 11 Nov 2008 19:21:14 +0100

qutemol (0.4.1~cvs20080130-0ubuntu1~ppa5) intrepid; urgency=low

  * Compile on intrepid. A few changes needed to meet stricter
    compiler requirements:
    - patch 28_mol.cpp to include string.h
    - patch 29_mol.h to include <string>
    - patch 30_matrix33.h to include stdlib.h

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Mon, 10 Nov 2008 14:49:33 +0100

qutemol (0.4.1~cvs20080130-0ubuntu1~ppa4) hardy; urgency=low

  * Fixed missing Build-Depends

 -- Morten Kjeldgaard <mok@bioxray.au.dk>  Wed, 30 Jan 2008 23:01:00 +0100

qutemol (0.4.1~cvs20080130-0ubuntu1~ppa1) hardy; urgency=low

  * Initial packaging
  * Authored manpage
  * Many patches to make code compile cleanly
  * Port to wxWidgets 2.8
  
 -- Morten Kjeldgaard <mok@bioxray.au.dk>  Sat, 26 Jan 2008 21:18:19 +0100

=== debian/control ===
Source: qutemol
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Morten Kjeldgaard <mok0@ubuntu.com>,
           Michael Banck <mbanck@debian.org>,
           Graham Inggs <ginggs@debian.org>
Build-Depends: cdbs,
               debhelper (>= 9),
               libgif-dev (>= 5),
               libglew1.5-dev,
               libpng-dev,
               libwxgtk3.0-dev
Standards-Version: 3.9.8
Homepage: http://qutemol.sourceforge.net/
Vcs-Browser: https://anonscm.debian.org/viewvc/debichem/unstable/qutemol/
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/qutemol/

Package: qutemol
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: interactive visualization of macromolecules
 QuteMol is an interactive, high quality molecular visualization
 system. It exploits the current GPU capabilities through OpenGL shaders
 to offer an array of innovative visual effects. QuteMol visualization
 techniques are aimed at improving clarity and an easier understanding
 of the 3D shape and structure of large molecules or complex proteins.
 .
 Qutemol uses advanced OpenGL techniques and might not work correctly
 with all video cards and drivers.
 .
 Features QuteMol offers include:
 .
  * Real time ambient occlusion
  * Depth aware silhouette enhancement
  * Ball-and-stick, space-filling and liquorice visualization modes
  * High resolution antialiased snapshots for creating publication
    quality renderings
  * Automatic generation of animated gifs of rotating molecules for
    web page animations
  * Interactive rendering of macromolecules (>100k atoms)
 .
 QuteMol reads PDB files as input.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; mode: font-lock -*-

INCDIRS = -Ivcg -Isrc -I.
#OPTFLAGS = -Os -Wall -g

# Define NDEBUG to quietly ignore WXDEBUG assertion failures (as happens by
# default under wx2.8).
CXXFLAGS = -DPKGDATADIR='\"/usr/share/qutemol\"' $(INCDIRS) $(OPTFLAGS) `wx-config --cppflags` -DNDEBUG
CXXFLAGS += `dpkg-buildflags --get CXXFLAGS` -std=gnu++98

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

clean::
	rm -f qutemol
